<?php
/*
* Copyright (C) 2005 Grummfy
* 
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
* 
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/


/**
* fonction date_tr, permetant de traduire une date en une langue
* @author Grummfy <grummfy@yahoo.fr>
* @copyright Grummfy 23/09/2005
* @link  http://www.grummfy.com Grummfy
* @version 1.0.0
* @package date_translator
* @license http://www.gnu.org/licenses/gpl.html GPL (GNU General Public License)
* @example ./exemple.php How to use this function
* @param string $format format de la date
* @param array $langue tableau de traduction, attention il n'y  pas de test si le tableau est rempli ou non!!
* @param timestamp $date date au format timestamp (nombre de seconde depuis 1/1/1970)
* @return string date traduite dans la langue.
*/
function date_tr($format, $langue, $date = '')
{
	$date = ($date == '')?time():intval($date);
	$date = date($format, $date);
	return strtr($date, $langue);
}

?>